#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2008, 2010 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

RC=0
help=0

BINDIR=`dirname ${0}`

# Check arguments
# Parse the command line parameters (if any)
while getopts h\? options
do
   case $options in
      h)   help=1;; 
      \?)  help=1;;
   esac
done

NUMPARMS=$#
STAT=0
RC=0

if [ "$help" = "1" ] || [ "$NUMPARMS" = 0 ]; then
	${BINDIR}/../../../../bin/agentcli.sh coreagent genevent
elif [ "$STAT" = "0" ]; then
	${BINDIR}/../../../../bin/agentcli.sh coreagent genevent "$@"
fi

exit $RC
